import javax.swing.JOptionPane; // giriş çıkı

public class H3AL4_2000
{
// sayinin exponenti dinamik metodu

public double exp(double x)
{
double faktoriyel=1;
double us=1;
double exponent=1;
for(double i=1;i<=300;i++)
{
faktoriyel*=i;
us*=x;
exponent+=us/faktoriyel;
}
return exponent;
}

public static void main(String[] args)
{
double sayi;
sayi=Double.parseDouble(JOptionPane.showInputDialog
("Bir gerçek sayı giriniz : "));
H3AL4 y=new H3AL4();
JOptionPane.showMessageDialog(null,"exp("+sayi+") = "+y.exp(sayi),
"H3AL4_2000,  exp() dinamik metodu",JOptionPane.PLAIN_MESSAGE);
 System.exit(0);
}
}


